SystemOrganization addCategory: #'SourceCity-Test-Importer'!

TestCase subclass: #CityImporterTest
	instanceVariableNames: 'cityImporter'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SourceCity-Test-Importer'!

!CityImporterTest methodsFor: 'running' stamp: 'AndreHora 6/3/2012 15:14'!
setUp

	cityImporter := CityImporter new.! !

!CityImporterTest methodsFor: 'tests' stamp: 'AndreHora 6/3/2012 15:24'!
testDisplayFullyImportOfRing
	"self debug: #testFullyImportOfRing"
	
	| build height |

	cityImporter cityNamed: 'CodCT' withPackageNames: (RPackageOrganizer default packageNames).
	build := 0.
	height := 0.
	(cityImporter city districts) do:[:each|
		(each buildings) do:[:eachClass|
			build := build+1.
			].
		].
	Transcript clear; show: '1 ville - '; show: cityImporter city districts size;show: ' districts - '; show: build;show:' buildings le plus haut fait : '; show:height.! !

!CityImporterTest methodsFor: 'tests' stamp: 'AndreHora 6/3/2012 15:24'!
testFullyImportOfRing
	"self debug: #testFullyImportOfRing"
	"This method test, is just for show us what does normal import realize. How many build, districts ... and max metrics we can find"
	| ring build height |

	cityImporter cityNamed: 'CodCT' withPackageNames: (RPackageOrganizer default packageNames).
	
	"self assert: cimport city districts size = 481.
	self assert: (cimport city hasDistrictNamed: #'AST-Core').
	self assert: (cimport city hasDistrictNamed: #'SourceCity')."
	"Transcript cr;show:cimport city size."
	build := 0.
	height := 0.
	(cityImporter city districts) do:[:each|
		(each buildings) do:[:eachClass|
			build := build+1.
			].
		].
	Transcript clear; show: '1 ville - '; show: cityImporter city districts size; show: ' districts - '; show: build; show:' buildings le plus haut fait : '; show: height.
	"Transcript cr;show: (RPackage new numberOfClasses)."! !

!CityImporterTest methodsFor: 'tests' stamp: 'AndreHora 6/3/2012 15:24'!
testImportClassAsBuilding
	"self debug: #testImportClassAsBuilding"
	
	cityImporter cityNamed: 'CodCT' withPackageNames: #('AST-Core' ).
	self assert: cityImporter city districts size = cityImporter numberOfDistrict .
	self assert: (cityImporter city hasDistrictNamed: #'AST-Core').
	
	self assert: cityImporter city districts size = cityImporter numberOfDistrict .
	self assert: (cityImporter city hasDistrictNamed: #'AST-Core').
	self assert: (cityImporter city districts at: 1) buildings size = cityImporter numberOfBuilding.
	
	! !

!CityImporterTest methodsFor: 'tests' stamp: 'AndreHora 6/3/2012 15:25'!
testImportPackageAsDistrict
	"self debug: #testImportPackageAsDistrict"
	
	cityImporter cityNamed: 'CodCT' withPackageNames: #('AST-Core' ).
	self assert: cityImporter city districts size = cityImporter numberOfDistrict .
	self assert: (cityImporter city hasDistrictNamed: #'AST-Core').
	! !

!CityImporterTest methodsFor: 'tests' stamp: 'AndreHora 6/3/2012 15:25'!
testImportPackageAsDistrictNoDuplicate
	"self debug: #testImportPackageAsDistrictNoDuplicate"
	
	cityImporter cityNamed: 'CodCT' withPackageNames: #('AST-Core'  'AST-Core').
	self assert: cityImporter city districts size = cityImporter numberOfDistrict .
	self assert: (cityImporter city hasDistrictNamed: #'AST-Core').
	! !
